<?php include('fncr-geral/configuracao_geral.php');
exit;
$sql = $bd->getConexao()->prepare('
  SELECT cf.bd, c.status, c.nome, c.id
  FROM clubes_configuracao cf
    LEFT JOIN clubes c on c.id = cf.id_clube
  WHERE
    cf.link_sistema is not null AND cf.bd is not null AND
    cf.link_sistema != "" AND cf.bd != "" AND
    c.id_representante = 0
  ORDER BY status DESC, nome ASC');
if($sql->execute()){$resul_clubes = $sql->fetchall(PDO::FETCH_ASSOC);}

foreach($resul_clubes as $c){
  if(substr($c['bd'],0,3)=="pw_" && substr($c['bd'],0,4)!="pw_0"){

    try{
      $bdclube = new ConeccaoClube($c['bd']);
      $bdclube->getConexao()->exec("set names utf8");

      $sql = $bdclube->getConexao()->prepare('SET @ids_torneio = (SELECT CONCAT(GROUP_CONCAT(id)) FROM torneios WHERE evento_data BETWEEN "2023-03-01 00:00:00" AND "2024-02-29 23:59:59" AND (id_evento is null OR id_evento=0));');
      $sql->execute();

      $sql = $bdclube->getConexao()->prepare('
    SELECT
      t.id,
      t.nome,
      t.evento_data,
      jogs.jogadores_unicos,
      niveis.total_niveis,
      niveis.total_intervalos,
      TIME_FORMAT(SEC_TO_TIME(niveis.total_tempo_torneio * 60), \'%H:%i:%s\') as total_tempo_torneio,
      TIME_FORMAT(SEC_TO_TIME(niveis.total_tempo_niveis * 60), \'%H:%i:%s\') as total_tempo_niveis,
      TIME_FORMAT(SEC_TO_TIME(niveis.total_tempo_intervalos * 60), \'%H:%i:%s\') as total_tempo_intervalos
    FROM torneios t
      LEFT JOIN (
        SELECT
          itens.id_torneio,
          COUNT(distinct itens.id_jogador) as jogadores_unicos
        FROM torneios_vendas_itens itens
        WHERE find_in_set(itens.id_torneio, @ids_torneio)
        GROUP BY itens.id_torneio
      ) jogs ON jogs.id_torneio = t.id
      LEFT JOIN (
        SELECT
          n.id_torneio,
          sum(CASE WHEN n.break=0 THEN 1 ELSE 0 END) as total_niveis,
          sum(CASE WHEN n.break=1 THEN 1 ELSE 0 END) as total_intervalos,
          sum(n.tempo) as total_tempo_torneio,
          sum(CASE WHEN n.break=0 THEN n.tempo ELSE 0 END) as total_tempo_niveis,
          sum(CASE WHEN n.break=1 THEN n.tempo ELSE 0 END) as total_tempo_intervalos
        FROM torneios_niveis n
          LEFT JOIN (
                      SELECT n2.nivel, n2.id_torneio
                      FROM torneios_niveis n2
                      WHERE find_in_set(n2.id_torneio, @ids_torneio) AND n2.ativo = 1
                      GROUP BY n2.id_torneio
                    ) ativo ON ativo.id_torneio = n.id_torneio
        WHERE find_in_set(n.id_torneio, @ids_torneio) AND n.nivel>0 AND n.nivel <= ativo.nivel
        GROUP BY n.id_torneio
      ) niveis ON niveis.id_torneio = t.id
    WHERE find_in_set(t.id, @ids_torneio)');
      if($sql->execute()){$resul_torneios = $sql->fetchall(PDO::FETCH_ASSOC);}

      if(count($resul_torneios)>0){
        $inserts = array();
        foreach($resul_torneios as $l){
          $inserts[] = '(
          "'.$c['id'].'",
          "'.$l['id'].'",
          "'.$l['nome'].'",
          "'.$l['evento_data'].'",
          "'.$l['jogadores_unicos'].'",
          "'.$l['total_niveis'].'",
          "'.$l['total_intervalos'].'",
          "'.$l['total_tempo_torneio'].'",
          "'.$l['total_tempo_niveis'].'",
          "'.$l['total_tempo_intervalos'].'"
        )';
        }
        $sql = $bd->getConexao()->prepare('INSERT INTO big_torneios
      (id_clube, id_torneio, torneio, torneio_data, jogadores_unicos, qtd_niveis, qtd_intervalos, tempo_torneio, tempo_niveis, tempo_intervalos) VALUES '.implode(',', $inserts));
        if ($sql->execute()) ;
      }
    }catch(Exception $e){
      echoPre($c['nome']);
    }

  }
}
